package com.kingdee.eas.custom.beisenconfig;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class BSViewConfigEntryCollection extends AbstractObjectCollection 
{
    public BSViewConfigEntryCollection()
    {
        super(BSViewConfigEntryInfo.class);
    }
    public boolean add(BSViewConfigEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(BSViewConfigEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(BSViewConfigEntryInfo item)
    {
        return removeObject(item);
    }
    public BSViewConfigEntryInfo get(int index)
    {
        return(BSViewConfigEntryInfo)getObject(index);
    }
    public BSViewConfigEntryInfo get(Object key)
    {
        return(BSViewConfigEntryInfo)getObject(key);
    }
    public void set(int index, BSViewConfigEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(BSViewConfigEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(BSViewConfigEntryInfo item)
    {
        return super.indexOf(item);
    }
}